io.undertow.server.handlers

## Class HttpContinueReadHandler

- java.lang.Object
- - io.undertow.server.handlers.HttpContinueReadHandler

All Implemented Interfaces:
  HttpHandler

    public class HttpContinueReadHandler
    extends Object
    implements HttpHandler

Handler for requests that require 100-continue responses. If an attempt is made to read from the source channel then a 100 continue response is sent.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`HttpContinueReadHandler(HttpHandler handler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpContinueReadHandler

    public HttpContinueReadHandler(HttpHandler handler)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`